[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.BeginRootComponent

Start reading the root component.

## Declaration

Source position: classesh.inc line 1287

`public procedure TBinaryObjectReader.BeginRootComponent; override;`

## Description

BeginRootComponent starts reading the root component in a binary stream.

This method is simply the implementation for a binary stream of the abstract method introduced in TAbstractObjectReader